2024-04-15 17:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005470DesertStrike[WHDLoad Installs Games] slavepublic2022-04-04 22:55
ReporterRetroplay 
Assigned ToJOTDProject InfoDesert Strike (Electronic Arts)
http://www.whdload.de/games/DesertStrike.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
Summary0005470: Desert Strike v3.2 exception error
DescriptionSlave v3.2, SPS 0112.

Game crashes with
"Exception "Line 1111 Emulator" ($2C) at $37CA occurred."
at the main menu, right after the intro.
Steps To ReproduceStart game, skip intro, it crashes as soon as main menu appears.
Additional InformationLatest WHDLoad 18.7
Crash register attached.
TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.7
imported
Attached Files
  • ? file icon .whdl_register (3,125 bytes) 2022-01-10 18:00 -
    ************************* 10-Jan-22 17:48:47 ************************18.7.6366***
    Slave='DesertStrike.slave' (3628 bytes)
    Resload   47FEB3E0 - 47FF3028 (  31816) at 47FEB3E0  GL=$47FF3130
    Slave     47FFAFE0 - 47FFBDE8 (   3592) at 47FFAFE0  BaseMemSize=$100000
    attn=207(UAE,30) fc=-1 kn=23100 cs=EE94 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Line 1111 Emulator" ($2C) at $37CA occurred.
    
    $0000379e move.w       d0,d7
    $000037a0 lsr.w        #8,d0
    $000037a2 or.w         d7,d0
    $000037a4 move.w       d1,-(a7)                       ;$000fff9c
    $000037a6 clr.w        d1
    $000037a8 bset         d3,d1
    $000037aa ori.w        #$100,d1
    $000037ae jsr          ($3bdc)
    $000037b4 move.w       (a7)+,d1                       ;$000fff9c
    $000037b6 move.w       #$8000,d2
    $000037ba bset         d4,d2
    $000037bc move.w       d2,($dff09c)
    $000037c2 jsr          ($47ffb738)
    $000037c8 nop
    ›1m$000037ca line-f       $f096
    ›22m$000037cc move.w       #$2f0,d7
    $000037d0 dbf          d7,$37d0
    $000037d4 andi.w       #$780,d2
    $000037d8 move.w       d2,($dff09c)
    $000037de move.l       (4,a0),d7                      ;$0000ed50
    $000037e2 sub.l        (a0),d7                        ;$0000ed4c
    $000037e4 subq.l       #2,d7
    $000037e6 lsr.l        #1,d7
    $000037e8 move.w       d7,(4,a1)                      ;$00dff0a4
    $000037ec move.l       (a0),a0                        ;$0000ed4c
    $000037ee andi.w       #$3ff,d1
    $000037f2 btst         #9,d1
    $000037f6 beq.w        $37fe
    $000037fa ori.w        #$fe00,d1
    
    exception stackframe:
    $000FFF9C 20040000 37CA002C
    regular stack:
    $000FFFA4 00000804 0000FC00 00000002 00000007 00000000 000000D8 D6D6D6D6 0000FFFF
    $000FFFC4 00000B9C 0002A180 000034E7 00003E82 00003E60 00020E0C 00020E1C 00000BF0
    $000FFFE4 00080174 00000B22 00000348 0000022C 0009BC40 000806BA 0008004E
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     7D7D      FC00      8080         0         7         0  D6D6D6D6      FFFF
    Ax     ED4C    DFF0A0      3860      3E82      3E60     20E0C     20E1C
    
                     TTSM III   XNZVC
    PC=    37CA›22m  SR=%0010000000000100  USP=FFC00  ›1mISP=FFF9C  MSP=FF800
    VBR=47FF4130  SFC=5  DFC=5  CACR=2000  CAAR=0  TT0=0  TT1=0
    TC=0  CRP=100000000  SRP=100000000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000111000›22m dmacon=%›1m0000011111100000 adkcon=$1100
    intreq=%0000011111000000
    vposr....A300  vhposr...017A  joy0dat..0102  joy1dat..0000  clxdat...8000  
    pot0dat..F500  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..004A  
    deniseid.00F8  hhposr...00C0  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00011D  icr=00  sdr=00    event=015DAE  icr=00  sdr=00
    
    ? file icon .whdl_register (3,125 bytes) 2022-01-10 18:00 +

-Relationships
duplicate of 0005486closedJOTD Exception (Line 1111 Emulator) $2C error with new 3.2 slave 
+Relationships

-Notes

note ~0011076

Retroplay (reporter)

Issue fixed, this can be closed.
+Notes

-Issue History
Date Modified Username Field Change
2022-01-10 18:00 Retroplay New Issue
2022-01-10 18:00 Retroplay File Added: .whdl_register
2022-01-15 22:52 Wepl Project WHDLoad Installs Games => DesertStrike
2022-04-04 21:46 Retroplay Note Added: 0011076
2022-04-04 22:55 JOTD Assigned To => JOTD
2022-04-04 22:55 JOTD Status new => closed
2022-04-04 22:55 JOTD Resolution open => duplicate
2022-04-04 22:55 JOTD Relationship added duplicate of 0005486
+Issue History